Index: trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/EMSS/EMSSMove.cs
===================================================================
--- trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/EMSS/EMSSMove.cs	(revision 15682)
+++ trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/EMSS/EMSSMove.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,9 +22,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("EMSSMove", "Base class for shift, split, merge, and extract moves.")]
-  [StorableClass]
+  [StorableType("CE20CA9A-A191-4DA5-9F42-DAE9B79640E1")]
   public abstract class EMSSMove : Item {
     [Storable]
@@ -33,5 +33,5 @@
 
     [StorableConstructor]
-    protected EMSSMove(bool deserializing) : base(deserializing) { }
+    protected EMSSMove(StorableConstructorFlag _) : base(_) { }
     protected EMSSMove(EMSSMove original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/EMSS/EMSSMoveGenerator.cs
===================================================================
--- trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/EMSS/EMSSMoveGenerator.cs	(revision 15682)
+++ trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/EMSS/EMSSMoveGenerator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,9 +25,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("EMSSMoveGenerator", "Base class for all EMSS move generators (extract, merge, shift, and split).")]
-  [StorableClass]
+  [StorableType("471A0A7B-30DD-4B29-97EE-9B3F7FAED582")]
   public abstract class EMSSMoveGenerator : SingleSuccessorOperator, ILinearLinkageEMSSMoveOperator, IMoveGenerator {
     public override bool CanChangeName {
@@ -42,5 +42,5 @@
 
     [StorableConstructor]
-    protected EMSSMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected EMSSMoveGenerator(StorableConstructorFlag _) : base(_) { }
     protected EMSSMoveGenerator(EMSSMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public EMSSMoveGenerator()
Index: trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/EMSS/EMSSMoveMaker.cs
===================================================================
--- trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/EMSS/EMSSMoveMaker.cs	(revision 15682)
+++ trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/EMSS/EMSSMoveMaker.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,9 +26,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("EMSSMoveMaker", "Applies an EMSS move to the lle grouping (extract, merge, shift, and split.")]
-  [StorableClass]
+  [StorableType("B252F8AE-AEEA-4A21-8882-04739D4D2202")]
   public class EMSSMoveMaker : SingleSuccessorOperator, ILinearLinkageEMSSMoveOperator, IMoveMaker, ISingleObjectiveOperator {
     public override bool CanChangeName {
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    protected EMSSMoveMaker(bool deserializing) : base(deserializing) { }
+    protected EMSSMoveMaker(StorableConstructorFlag _) : base(_) { }
     protected EMSSMoveMaker(EMSSMoveMaker original, Cloner cloner) : base(original, cloner) { }
     public EMSSMoveMaker()
Index: trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/EMSS/ExhaustiveEMSSMoveGenerator.cs
===================================================================
--- trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/EMSS/ExhaustiveEMSSMoveGenerator.cs	(revision 15682)
+++ trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/EMSS/ExhaustiveEMSSMoveGenerator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,12 +26,12 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("ExhaustiveEMSSMoveGenerator", "Generates all possible extract, merge, shift, and split (EMSS) moves from a given LLE solution.")]
-  [StorableClass]
+  [StorableType("E5E81516-ADD2-474D-A93F-00580D485F07")]
   public class ExhaustiveEMSSMoveGenerator : EMSSMoveGenerator, IExhaustiveMoveGenerator {
     [StorableConstructor]
-    protected ExhaustiveEMSSMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected ExhaustiveEMSSMoveGenerator(StorableConstructorFlag _) : base(_) { }
     protected ExhaustiveEMSSMoveGenerator(ExhaustiveEMSSMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public ExhaustiveEMSSMoveGenerator() : base() { }
Index: trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/EMSS/ExtractMove.cs
===================================================================
--- trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/EMSS/ExtractMove.cs	(revision 15682)
+++ trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/EMSS/ExtractMove.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,9 +23,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("Extract Move", "Extracts an item into a group of its own.")]
-  [StorableClass]
+  [StorableType("D42CB819-F307-4081-9227-7F6786E6853B")]
   public sealed class ExtractMove : EMSSMove {
     [Storable]
@@ -41,5 +41,5 @@
 
     [StorableConstructor]
-    private ExtractMove(bool deserializing) : base(deserializing) { }
+    private ExtractMove(StorableConstructorFlag _) : base(_) { }
     private ExtractMove(ExtractMove original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/EMSS/MergeMove.cs
===================================================================
--- trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/EMSS/MergeMove.cs	(revision 15682)
+++ trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/EMSS/MergeMove.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,9 +23,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("Merge Move", "Merges two groups together.")]
-  [StorableClass]
+  [StorableType("4AC9ADD2-3825-4CFE-8074-6F3CA7251700")]
   public sealed class MergeMove : EMSSMove {
     [Storable]
@@ -34,5 +34,5 @@
     
     [StorableConstructor]
-    private MergeMove(bool deserializing) : base(deserializing) { }
+    private MergeMove(StorableConstructorFlag _) : base(_) { }
     private MergeMove(MergeMove original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/EMSS/ShiftMove.cs
===================================================================
--- trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/EMSS/ShiftMove.cs	(revision 15682)
+++ trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/EMSS/ShiftMove.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,9 +23,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("Shift Move", "Shifts an item from one group to another.")]
-  [StorableClass]
+  [StorableType("577C4FAF-A02C-4896-8EEB-54360989A4B3")]
   public sealed class ShiftMove : EMSSMove {
     [Storable]
@@ -47,5 +47,5 @@
 
     [StorableConstructor]
-    private ShiftMove(bool deserializing) : base(deserializing) { }
+    private ShiftMove(StorableConstructorFlag _) : base(_) { }
     private ShiftMove(ShiftMove original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/EMSS/SplitMove.cs
===================================================================
--- trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/EMSS/SplitMove.cs	(revision 15682)
+++ trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/EMSS/SplitMove.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,9 +23,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("Split Move", "Splits a group into two groups.")]
-  [StorableClass]
+  [StorableType("98EB5FF6-A384-482B-B700-7EB012639E64")]
   public sealed class SplitMove : EMSSMove {
     [Storable]
@@ -33,5 +33,5 @@
 
     [StorableConstructor]
-    private SplitMove(bool deserializing) : base(deserializing) { }
+    private SplitMove(StorableConstructorFlag _) : base(_) { }
     private SplitMove(SplitMove original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/EMSS/StochasticEMSSMultiMoveGenerator.cs
===================================================================
--- trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/EMSS/StochasticEMSSMultiMoveGenerator.cs	(revision 15682)
+++ trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/EMSS/StochasticEMSSMultiMoveGenerator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,10 +27,10 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Random;
 
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("StochasticEMSSMultiMoveGenerator", "Randomly samples n from all possible EMSS moves (extract, merge, shift, and split) from a given lle grouping.")]
-  [StorableClass]
+  [StorableType("AE38F823-B840-4AFB-A780-259CB6C95D23")]
   public class StochasticEMSSMultiMoveGenerator : EMSSMoveGenerator, IMultiMoveGenerator, IStochasticOperator {
     public ILookupParameter<IRandom> RandomParameter {
@@ -47,5 +47,5 @@
 
     [StorableConstructor]
-    protected StochasticEMSSMultiMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected StochasticEMSSMultiMoveGenerator(StorableConstructorFlag _) : base(_) { }
     protected StochasticEMSSMultiMoveGenerator(StochasticEMSSMultiMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public StochasticEMSSMultiMoveGenerator()
Index: trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/EMSS/StochasticEMSSSingleMoveGenerator.cs
===================================================================
--- trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/EMSS/StochasticEMSSSingleMoveGenerator.cs	(revision 15682)
+++ trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/EMSS/StochasticEMSSSingleMoveGenerator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,10 +26,10 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Random;
 
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("StochasticEMSSSingleMoveGenerator", "Randomly samples a single from all possible EMSS moves (extract, merge, shift, and split) from a given lle grouping.")]
-  [StorableClass]
+  [StorableType("345211F0-E998-4C0E-B466-C2FC24D278E4")]
   public class StochasticEMSSSingleMoveGenerator : EMSSMoveGenerator, IStochasticOperator, ISingleMoveGenerator {
     public ILookupParameter<IRandom> RandomParameter {
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected StochasticEMSSSingleMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected StochasticEMSSSingleMoveGenerator(StorableConstructorFlag _) : base(_) { }
     protected StochasticEMSSSingleMoveGenerator(StochasticEMSSSingleMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public StochasticEMSSSingleMoveGenerator()
Index: trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/ExhaustiveSwap2MoveGenerator.cs
===================================================================
--- trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/ExhaustiveSwap2MoveGenerator.cs	(revision 15682)
+++ trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/ExhaustiveSwap2MoveGenerator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,12 +26,12 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("ExhaustiveSwap2MoveGenerator", "Generates all possible swap-2 moves from a given lle grouping.")]
-  [StorableClass]
+  [StorableType("1D050D36-3197-4931-9806-F8119A60E8B6")]
   public class ExhaustiveSwap2MoveGenerator : Swap2MoveGenerator, IExhaustiveMoveGenerator {
     [StorableConstructor]
-    protected ExhaustiveSwap2MoveGenerator(bool deserializing) : base(deserializing) { }
+    protected ExhaustiveSwap2MoveGenerator(StorableConstructorFlag _) : base(_) { }
     protected ExhaustiveSwap2MoveGenerator(ExhaustiveSwap2MoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public ExhaustiveSwap2MoveGenerator() : base() { }
Index: trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/StochasticSwap2MultiMoveGenerator.cs
===================================================================
--- trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/StochasticSwap2MultiMoveGenerator.cs	(revision 15682)
+++ trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/StochasticSwap2MultiMoveGenerator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,9 +25,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("StochasticSwap2MultiMoveGenerator", "Randomly samples n from all possible swap-2 moves from a given lle grouping.")]
-  [StorableClass]
+  [StorableType("156E5EAE-D929-41CE-844E-7DECE09CB74B")]
   public class StochasticSwap2MultiMoveGenerator : Swap2MoveGenerator, IMultiMoveGenerator, IStochasticOperator {
     public ILookupParameter<IRandom> RandomParameter {
@@ -44,5 +44,5 @@
 
     [StorableConstructor]
-    protected StochasticSwap2MultiMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected StochasticSwap2MultiMoveGenerator(StorableConstructorFlag _) : base(_) { }
     protected StochasticSwap2MultiMoveGenerator(StochasticSwap2MultiMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public StochasticSwap2MultiMoveGenerator()
Index: trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/StochasticSwap2SingleMoveGenerator.cs
===================================================================
--- trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/StochasticSwap2SingleMoveGenerator.cs	(revision 15682)
+++ trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/StochasticSwap2SingleMoveGenerator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,9 +26,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("StochasticSwap2SingleMoveGenerator", "Randomly samples a single from all possible swap-2 moves from a given lle grouping.")]
-  [StorableClass]
+  [StorableType("381C1F6F-A61C-4886-A2A1-348445DF2C84")]
   public class StochasticSwap2SingleMoveGenerator : Swap2MoveGenerator, IStochasticOperator, ISingleMoveGenerator {
     public ILookupParameter<IRandom> RandomParameter {
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    protected StochasticSwap2SingleMoveGenerator(bool deserializing) : base(deserializing) { }
+    protected StochasticSwap2SingleMoveGenerator(StorableConstructorFlag _) : base(_) { }
     protected StochasticSwap2SingleMoveGenerator(StochasticSwap2SingleMoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public StochasticSwap2SingleMoveGenerator()
Index: trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/Swap2Move.cs
===================================================================
--- trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/Swap2Move.cs	(revision 15682)
+++ trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/Swap2Move.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,9 +22,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("Swap2Move", "Item that describes a swap-2 move.")]
-  [StorableClass]
+  [StorableType("AEB203A4-03AD-4F86-B200-B0FA8253BCFF")]
   public class Swap2Move : Item {
     [Storable]
@@ -36,5 +36,5 @@
 
     [StorableConstructor]
-    protected Swap2Move(bool deserializing) : base(deserializing) { }
+    protected Swap2Move(StorableConstructorFlag _) : base(_) { }
     protected Swap2Move(Swap2Move original, Cloner cloner) : base(original, cloner) { }
     public Swap2Move() : this(-1, -1, null) { }
Index: trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/Swap2MoveGenerator.cs
===================================================================
--- trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/Swap2MoveGenerator.cs	(revision 15682)
+++ trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/Swap2MoveGenerator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,9 +25,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("Swap2MoveGenerator", "Base class for all swap-2 move generators.")]
-  [StorableClass]
+  [StorableType("E7319AAA-7D34-444A-9B63-8A5CF1F010B5")]
   public abstract class Swap2MoveGenerator : SingleSuccessorOperator, ILinearLinkageSwap2MoveOperator, IMoveGenerator {
     public override bool CanChangeName {
@@ -42,5 +42,5 @@
 
     [StorableConstructor]
-    protected Swap2MoveGenerator(bool deserializing) : base(deserializing) { }
+    protected Swap2MoveGenerator(StorableConstructorFlag _) : base(_) { }
     protected Swap2MoveGenerator(Swap2MoveGenerator original, Cloner cloner) : base(original, cloner) { }
     public Swap2MoveGenerator()
Index: trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/Swap2MoveMaker.cs
===================================================================
--- trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/Swap2MoveMaker.cs	(revision 15682)
+++ trunk/HeuristicLab.Encodings.LinearLinkageEncoding/3.4/Moves/Swap/Swap2MoveMaker.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -28,9 +28,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("Swap2MoveMaker", "Peforms a swap-2 move on a given grouping and updates the quality.")]
-  [StorableClass]
+  [StorableType("2A1F7169-5DD5-4FB6-A25C-BBC4C06BB15A")]
   public class Swap2MoveMaker : SingleSuccessorOperator, ILinearLinkageSwap2MoveOperator, IMoveMaker, ISingleObjectiveOperator {
     public override bool CanChangeName {
@@ -51,5 +51,5 @@
 
     [StorableConstructor]
-    protected Swap2MoveMaker(bool deserializing) : base(deserializing) { }
+    protected Swap2MoveMaker(StorableConstructorFlag _) : base(_) { }
     protected Swap2MoveMaker(Swap2MoveMaker original, Cloner cloner) : base(original, cloner) { }
     public Swap2MoveMaker()
